#!/bin/bash

set -ex

D=${PWD}

NAME=LADVD

rm -rf tmp/${NAME}
mkdir tmp/${NAME}

cp -a ${D}/module/* ${D}/tmp/${NAME}/
cp -a ${D}/tmp/install/* ${D}/tmp/${NAME}/system/


# Binary file
pushd ${D}/tmp/
VERSION=$(cat ${D}/module/Configure/install.rdf | grep md:Version | cut -d '>' -f 2 | cut -d '<' -f 1)
tar cfvz ${D}/N5200_${NAME}-${VERSION}.mod --owner 0 --group 0 ${NAME}/
popd

# Source file
mkdir N5200_${NAME}-${VERSION}-src
cp -a build.sh release.sh ladvd-mock-build.sh module sources N5200_${NAME}-${VERSION}-src
tar cfvz ${D}/N5200_${NAME}-${VERSION}-src.tar.gz --owner 0 --group 0 N5200_${NAME}-${VERSION}-src
rm -rf N5200_${NAME}-${VERSION}-src
